GOTO main

title:
CLS
SCREEN 2

LOCATE 2, 20
PRINT "GPR  Test  Program"
LINE (150, 17)-(300, 19), , B

LOCATE 3, 2

LINE (1, 160)-(638, 160)
RETURN

main:
GOSUB title
GOSUB comp
GOSUB gpr
LOCATE 5, 5
PRINT "Connect with RS 232 lead"
GOSUB space
GOSUB title
GOSUB comp
GOSUB siggen
LOCATE 5, 5
PRINT "Connect with GP-IB lead"
LOCATE 6, 5
PRINT "Set Signal generator to address 3"
GOSUB space
GOSUB title
GOSUB comp
GOSUB atts
LOCATE 5, 5
PRINT "Connect with GP-IB lead"
GOSUB space
GOSUB title
GOSUB gpr
GOSUB siggen
GOSUB atts
LOCATE 5, 5
PRINT "Connect with 'N' type RF leads"
GOSUB space
GOSUB title
GOSUB gpr
GOSUB comp
GOSUB atts
GOSUB siggen
GOSUB space

END
space:
LOCATE 23, 15
PRINT "Press SPACE to continue"

k$ = "x"
DO
k$ = INKEY$
LOOP UNTIL k$ = " "
LOCATE 23, 15
PRINT "                                      "

RETURN


siggen:
LOCATE 15, 6
PRINT "Signal Generator"

LINE (5, 158)-(200, 120), , B
LINE (20, 125)-(170, 130), , BF
CIRCLE (180, 140), 7
CIRCLE (35, 140), 15
RETURN

atts:
LOCATE 8, 11
PRINT "Attenuators"

LINE (75, 98)-(200, 70), , B
LINE (120, 75)-(160, 80), , BF
CIRCLE (100, 90), 7
CIRCLE (175, 90), 7
RETURN

comp:
LINE (450, 158)-(600, 140), , B
LINE (450, 138)-(600, 100), , B
LINE (470, 130)-(570, 105), , BF
LOCATE 12, 60
PRINT "Computer"
RETURN

gpr:
LOCATE 16, 40
PRINT "GPR"

LINE (275, 158)-(400, 130), , B
LINE (310, 138)-(360, 148), , BF
CIRCLE (380, 140), 10
CIRCLE (370, 150), 3
CIRCLE (390, 150), 3
CIRCLE (285, 135), 3
CIRCLE (285, 140), 3
CIRCLE (285, 145), 3
CIRCLE (285, 150), 3

RETURN



